#ifndef SPROCESS_H
#define SPROCESS_H

#include<qvaluelist.h>
#include"jprocess.h"

class SProcess : public JProcess
{
	Q_OBJECT
public:
	SProcess();
	~SProcess();

	void setClosePipeList(const QValueList<int> &);

private:
	QValueList<int> pipeList;
	static void childStarting(JProcess *);
};

#endif
